class Timer(object):
  def __init__(self, period, callback):
    self.t = 0
    self.period = period
    self.callback = callback

  def update(self, ms):
    self.t += ms
    if self.t > self.period:
      self.callback()
      self.t = 0

  def reset(self):
    self.t = 0
